LIBXO(3)

NAME
xo_no_setlocale - prevent implicit call to setlocale

LIBRARY
libxo

SYNOPSIS
#include <libxo/xo.h>
void
xo_no_setlocale(void);

DESCRIPTION
libxo automatically initializes the locale based on the setting of the environment variables LC_CTYPE, LANG, and LC_ALL. The first of this list of variables is used and if none of the variables are set, the locale defaults to UTF-8. The caller may wish to avoid this behavior, and can do so by calling the xo_no_setlocale() function.

SEE ALSO
xo_emit(3), xo_open_container(3), xo_open_list(3), xo_format(5), libxo(3)

HISTORY
The libxo library first appeared in FreeBSD 11.0.

AUTHORS
libxo was written by Phil Shafer <phil@freebsd.org>.